Bug 70306 - Failed to reread partition tables?
Failed to reread partition tables?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 11:45 EDT by Havoc Pennington
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2002-07-31 11:45:57 EDT
I get "An error occurred trying to format hda1" at the start of the Installing
Packages screen.

On console F4:
<6>attempt to access beyond end of device
<6>03:01: rw=0, want=104392, limit=104391
	
On console F5:
mke2fs: Attempt to write block from filesystem resulted in short write zeroing 
block 104384 at end of filesystem
Block size 1024
Fragment size 1024
26104 inodes, 104391 blocks
Comment 1 Michael Fulbright 2002-08-02 14:21:09 EDT
These seems to occur when for some reason the partition table was not reread by
the kernel.

We'll keep this open to track this issue.
Comment 2 Douglas Kilpatrick 2002-08-20 01:10:44 EDT
Had many problems like this installing limbo2 onto my box.  It only happened   
on the HD that is hung off the promisce controller, the one off the via   
controller never complained.   
   
I was doing an RAID/LVM scheme, and required three retry-install cycles to get   
through because of this.  All three times I clicked "ignore" a number of   
times, the first two times failed anyway.  
  
I did not notice any "attempt to read past end of device" messages, but I also  
did not look for them. 
 
Side note, the promise controller in question is one of the RAID controllers 
built into my motherboard that only does RAID.  I am not using the RAID 
functionality.
Comment 3 Michael Fulbright 2002-09-27 16:53:14 EDT
What model/chipset is the Promise controller?
Comment 4 Michael Fulbright 2002-10-24 14:22:03 EDT
Closing due to inactivity. Please reopen if you have any new information to add
to this report.
Comment 5 Red Hat Bugzilla 2006-02-21 13:49:19 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.